debian amd64 installation

Total noob question trying to install xojo2013r3 on debian amd64 (tracking jessie/sid).

I get:
dpkg: dependency problems prevent configuration of xojo2013r3:
xojo2013r3 depends on libc6 (>= 2.3).
xojo2013r3 depends on libexpat1 (>= 1.95.8).
xojo2013r3 depends on libglib2.0-0 (>= 2.10.0).
xojo2013r3 depends on libgtk2.0-0 (>= 2.10.0).

from dpkg -i --force-architecture i386 sojo2013r3.deb

I have ia32-libs installed. Fully updated and dist-upgraded.

Any help/guidance would be greatly appreciated,.

I am having a similar problem in the same situation. I get an error about glib and gtk even though my versions are newer than what it requires. Did you ever have any luck with this?

dpkg: dependency problems prevent configuration of xojo2013r33:
xojo2013r33 depends on libglib2.0-0 (>= 2.10.0).
xojo2013r33 depends on libgtk2.0-0 (>= 2.10.0).

libglib2.0-0:amd64 2.33.12+really2.32 amd64 GLib library of C routines
libgtk2.0-0:amd64 2.24.10-2 amd64 GTK+ graphical user interface library

I am running Debian 7 (Wheezy) amd64.

As above, any help would be appreciated.

Thanks